Open Lighting Architecture: ola::acn::E133PDU Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
ola::acn::E133PDU Class Reference
Inheritance diagram for ola::acn::E133PDU:

## Public Member Functions
| E133PDU (unsigned int vector, const E133Header &header, const PDU *pdu)
unsigned int | HeaderSize () const
unsigned int | DataSize () const
bool | PackHeader (uint8_t *data, unsigned int *length) const
bool | PackData (uint8_t *data, unsigned int *length) const
void | PackHeader (ola::io::OutputStream *stream) const
void | PackData (ola::io::OutputStream *stream) const
Public Member Functions inherited from ola::acn::PDU
| PDU (unsigned int vector, vector_size size=FOUR_BYTES)
virtual unsigned int | Size () const
virtual unsigned int | VectorSize () const
void | SetVector (unsigned int vector)
virtual bool | Pack (uint8_t *data, unsigned int *length) const
virtual void | Write (ola::io::OutputStream *stream) const

## Static Public Member Functions
static void | PrependPDU (ola::io::IOStack *stack, uint32_t vector, const std::string &source, uint32_t sequence_number, uint16_t endpoint_id)
Static Public Member Functions inherited from ola::acn::PDU
static void | PrependFlagsAndLength (ola::io::OutputBufferInterface *output, uint8_t flags=VFLAG_MASK|HFLAG_MASK|DFLAG_MASK)
static void | PrependFlagsAndLength (ola::io::OutputBufferInterface *output, unsigned int length, uint8_t flags)

## Additional Inherited Members
Public Types inherited from ola::acn::PDU
enum | vector_size { ONE_BYTE = 1 , TWO_BYTES = 2 , FOUR_BYTES = 4 }
Static Public Attributes inherited from ola::acn::PDU
static const uint8_t | VFLAG_MASK = 0x40
static const uint8_t | HFLAG_MASK = 0x20
static const uint8_t | DFLAG_MASK = 0x10

## Member Function Documentation

## ◆ DataSize()

unsigned int ola::acn::E133PDU::DataSize | ( |  | ) | const
| virtual

Implements ola::acn::PDU.

## ◆ HeaderSize()

unsigned int ola::acn::E133PDU::HeaderSize | ( |  | ) | const
| virtual

Implements ola::acn::PDU.

## ◆ PackData() [1/2]

void ola::acn::E133PDU::PackData | ( | ola::io::OutputStream * | stream | ) | const
| virtual

Implements ola::acn::PDU.

## ◆ PackData() [2/2]

bool ola::acn::E133PDU::PackData | ( | uint8_t * | data,
|  | unsigned int * | length ) const
| virtual

Implements ola::acn::PDU.

## ◆ PackHeader() [1/2]

void ola::acn::E133PDU::PackHeader | ( | ola::io::OutputStream * | stream | ) | const
| virtual

Implements ola::acn::PDU.

## ◆ PackHeader() [2/2]

bool ola::acn::E133PDU::PackHeader | ( | uint8_t * | data,
|  | unsigned int * | length ) const
| virtual

Implements ola::acn::PDU.

The documentation for this class was generated from the following files:

- libs/acn/E133PDU.h
- libs/acn/E133PDU.cpp